Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing.factory
Class BindFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BindFactory

    class BindFactory
    extends AbstractFactory

author:
  Danno Ferrin

version:
  $Revision: 17029 $

since:
  Groovy 1.1

Property Summary
`static String` | `CONTEXT_DATA_KEY`
`Map` | `syntheticBindings`

Constructor Summary
`BindFactory()`

Method Summary
`def` | `bindingAttributeDelegate(FactoryBuilderSupport builder, def node, def attributes)`
`TriggerBinding` | `getTriggerBinding(PropertyBinding psb)`
`boolean` | `isHandlesNodeChildren()`
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)` Accepted Properties...
`boolean` | `onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### CONTEXT_DATA_KEY

    public static final String CONTEXT_DATA_KEY

### syntheticBindings

    final Map syntheticBindings

Constructor Detail

### BindFactory

    public BindFactory()

Method Detail

### bindingAttributeDelegate

    public def bindingAttributeDelegate(FactoryBuilderSupport builder, def node, def attributes)

### getTriggerBinding

    public TriggerBinding getTriggerBinding(PropertyBinding psb)

### isHandlesNodeChildren

    public boolean isHandlesNodeChildren()

### isLeaf

    public boolean isLeaf()

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

  Accepted Properties... group? source ((sourceProperty) | (sourceEvent sourceValue)) (target targetProperty)? (? use default javabeans property if targetProperty is not present?)
  param:
    builder
  param:
    name
  param:
    value
  param:
    attributes
  return:
    the newly created instance
  throws:
    InstantiationException
  throws:
    IllegalAccessException

### onNodeChildren

    public boolean onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)

### onNodeCompleted

    public void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

Copyright © 2003-2009 The Codehaus. All rights reserved.